> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecrafters.io/llms.txt
> Use this file to discover all available pages before exploring further.

# How do I update the CLI?

The CodeCrafters CLI is a command-line tool that allows you to run tests & view test results from your local machine. Using
the CLI is faster than using Git since you don't need to commit your changes to run tests.

If you haven't installed the CLI yet, [read this](https://docs.codecrafters.io/cli/installation.md).

If you've already installed the CLI, you can check its version by running:

```bash theme={null}
codecrafters --version
```

The latest available version can be found [here](https://github.com/codecrafters-io/cli/releases).

To update the CLI, follow the OS-specific instructions below.

## Mac

Re-run the install script:

```bash theme={null}
curl -fsSL https://codecrafters.io/install.sh | bash
```

## Linux

Re-run the install script:

```bash theme={null}
curl -fsSL https://codecrafters.io/install.sh | bash
```

## Windows

> [tab] PowerShell
>
> Run the install script:
>
> ```bash theme={null}
> irm https://codecrafters.io/install.ps1 | iex
> ```

> [tab] WSL
>
> Run the install script:
>
> ```bash theme={null}
> curl -fsSL https://codecrafters.io/install.sh | bash
> ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.